changeset 410:d89d4e93bc46

test-incoming: only run on hg 1.7.x and newer
author Augie Fackler <durin42@gmail.com>
date Tue, 31 May 2011 19:36:53 -0500
parents 2e773ed95066
children de7317967598 ac36f1a05672
files tests/test-incoming
diffstat 1 files changed, 4 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-incoming
+++ b/tests/test-incoming
@@ -6,6 +6,9 @@
 # bail if the user does not have dulwich
 python -c 'import dulwich, dulwich.repo' || exit 80
 
+# This test only works on hg 1.7 and later
+python -c 'from mercurial import util ; assert util.version() > "1.7"' || exit 80
+
 # bail early if the user is already running git-daemon
 echo hi | nc localhost 9418 2>/dev/null && exit 80
 
@@ -90,4 +93,4 @@
 hg pull
 hg incoming
 
-echo 'done'
\ No newline at end of file
+echo 'done'